import { ButtonHTMLAttributes } from 'react';
import { IRippleProps } from '../ripple/ripple.types';

export interface ButtonMainProps
    extends ButtonHTMLAttributes<HTMLButtonElement> {
    disabled?: boolean;
    variant?: 'filled' | 'outlined' | 'elevated' | 'tonal' | 'text';
    icon?: string;
}

export type ButtonProps = IRippleProps & ButtonMainProps;
